POST   checks/browser/{checkId}/results/urldata

Gets browser check results in json format by result ids.

URL Parameters

NameDescription
checkId

Check identifier. Type: numeric.

Remarks

Request's ResultIds maximum count is limited to 50.


The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/checks/browser/12345/results/urldata?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "result_ids": [
    "dcb7b557-73bc-449d-b6f4-ba05b742ce15",
    "3b4db6aa-64d1-47b8-9818-566d211b1f6c",
    "b8c5aee0-5a8b-4f7c-8c69-bc4dd090c15d"
  ]
}"
NameType Required Description
result_idsArrayYes

The check results identifiers.

Response body model example and description

{
  "check_results": [
    {
      "check_id": 1,
      "result_id": "4032deb6-1799-4a4b-93d6-5e1cd60f54e8",
      "time_stamp_utc": "2024-09-27T22:22:22",
      "url_results": [
        {
          "step": 3,
          "url_number": 1,
          "url": "2",
          "offset_ms": 100,
          "started_utc": "2024-09-27T22:22:22",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "Notfound",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "POST",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 12345,
          "request_cookie_count": 5,
          "request_header_count": 7,
          "response_cookie_count": 5,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 797,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:22",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 1,
          "url_number": 2,
          "url": "3",
          "offset_ms": 200,
          "started_utc": "2024-09-27T22:22:22",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 30000,
          "error_code": 500,
          "error_message": "Notfound",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "PUT",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 12345,
          "request_cookie_count": 7,
          "request_header_count": 6,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:22",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 1,
          "url_number": 3,
          "url": "2",
          "offset_ms": 200,
          "started_utc": "2024-09-27T22:22:22",
          "elapsed_ms": 1000,
          "received_bytes": 200000,
          "sent_bytes": 10000,
          "error_code": 404,
          "error_message": "Internal server error",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "PUT",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 23456,
          "request_cookie_count": 6,
          "request_header_count": 6,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:22",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        }
      ]
    },
    {
      "check_id": 1,
      "result_id": "81b82971-75a3-406e-a933-fdf69d990dd2",
      "time_stamp_utc": "2024-09-27T22:22:22",
      "url_results": [
        {
          "step": 1,
          "url_number": 2,
          "url": "3",
          "offset_ms": 200,
          "started_utc": "2024-09-27T22:22:22",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 30000,
          "error_code": 500,
          "error_message": "Notfound",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "PUT",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 12345,
          "request_cookie_count": 7,
          "request_header_count": 6,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:22",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 1,
          "url_number": 2,
          "url": "3",
          "offset_ms": 200,
          "started_utc": "2024-09-27T22:22:22",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 30000,
          "error_code": 500,
          "error_message": "Notfound",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "PUT",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 12345,
          "request_cookie_count": 7,
          "request_header_count": 6,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:22",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 3,
          "url_number": 1,
          "url": "2",
          "offset_ms": 100,
          "started_utc": "2024-09-27T22:22:22",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "Notfound",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "POST",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 12345,
          "request_cookie_count": 5,
          "request_header_count": 7,
          "response_cookie_count": 5,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 797,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:22",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        }
      ]
    },
    {
      "check_id": 1,
      "result_id": "2c29c05d-7b15-4ce2-bce7-52e21f94cdfb",
      "time_stamp_utc": "2024-09-27T22:22:22",
      "url_results": [
        {
          "step": 3,
          "url_number": 1,
          "url": "2",
          "offset_ms": 100,
          "started_utc": "2024-09-27T22:22:22",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "Notfound",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "POST",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 12345,
          "request_cookie_count": 5,
          "request_header_count": 7,
          "response_cookie_count": 5,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 797,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:22",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 1,
          "url_number": 2,
          "url": "3",
          "offset_ms": 200,
          "started_utc": "2024-09-27T22:22:22",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 30000,
          "error_code": 500,
          "error_message": "Notfound",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "PUT",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 12345,
          "request_cookie_count": 7,
          "request_header_count": 6,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:22",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 3,
          "url_number": 1,
          "url": "2",
          "offset_ms": 100,
          "started_utc": "2024-09-27T22:22:22",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "Notfound",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "POST",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 12345,
          "request_cookie_count": 5,
          "request_header_count": 7,
          "response_cookie_count": 5,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 797,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:22",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        }
      ]
    }
  ]
}
NameType Description
check_resultsArray

Check results.

url_resultsArray

Result's URLs.

headersObject

The URL headers.

request_headersObject

The URL request headers.

response_headersObject

The URL response headers.

stepInteger

The number of the step.

url_numberInteger

The number of the URL.

urlString

The number of the URL.

offset_msInteger

The URL request time offset.

started_utcDateTime

The URL request start time.

elapsed_msInteger

The elapsed time.

received_bytesInteger

The received bytes.

sent_bytesInteger

The sent bytes.

error_codeInteger

The error code.

error_messageString

The error message.

completeBoolean

The request complete status.

redirectBoolean

Response with a redirect.

redirect_urlString

The redirect URL.

http_methodString

The HTTP method.

http_resultString

The HTTP result.

http_status_codeInteger

The HTTP status code.

content_from_cacheBoolean

The content was loaded from the cache.

content_mime_typeString

The content type.

content_size_bytesInteger

The content size in bytes.

request_cookie_countInteger

The request cookie count.

request_header_countInteger

The request headers count.

response_cookie_countInteger

The response cookie count.

response_header_countInteger

The response headers count.

response_status_lineString

The response status line.

blocked_duration_msInteger

The browser block duration.

blocked_url_offset_msInteger

The block start offset.

dns_lookup_duration_msInteger

The DNS Lookup duration.

dns_lookup_url_offset_msInteger

The DNS Lookup offset.

connect_duration_msInteger

The connect duration.

connect_url_offset_msInteger

The connect URL offset.

receive_duration_msInteger

The receive duration.

receive_url_offset_msInteger

The receive URL offset.

send_duration_msInteger

The send duration.

send_url_offset_msInteger

The send URL offset.

ttfb_duration_msInteger

The time to first byte duration.

ttfb_url_offset_msInteger

The time to first byte offset.

wait_duration_msInteger

The wait duration.

wait_offset_msInteger

The wait offset.

step_duration_msInteger

The step duration.

response_time_msInteger

The response time.

started_utc_iso_8601String

The start timestamp in UTC ISO 8601 format.

canceledBoolean

The request 'cancelled' status.

check_idInteger

The numeric identifier of the check.

result_idGuid

The check result's GUID.

time_stamp_utcDateTime

The check result timestamp in UTC.